## topgit 0.8

=== Makefile ===
prefix ?= $(HOME)
bindir := $(prefix)/bin
cmddir := $(prefix)/libexec/topgit
sharedir := $(prefix)/share/topgit
hooksdir := $(cmddir)/hooks


commands_in := $(wildcard tg-*.sh)
hooks_in = hooks/pre-commit.sh

commands_out := $(patsubst %.sh,%,$(commands_in))
hooks_out := $(patsubst %.sh,%,$(hooks_in))
help_out := $(patsubst %.sh,%.txt,$(commands_in))

all::	tg $(commands_out) $(hooks_out) $(help_out)

tg $(commands_out) $(hooks_out): % : %.sh Makefile
	@echo "[SED] $@"
	@sed -e 's#@cmddir@#$(cmddir)#g;' \
		-e 's#@hooksdir@#$(hooksdir)#g' \
		-e 's#@bindir@#$(bindir)#g' \
		-e 's#@sharedir@#$(sharedir)#g' \
		$@.sh >$@+ && \
	chmod +x $@+ && \
	mv $@+ $@

$(help_out): README
	@CMD=`echo $@ | sed -e 's/tg-//' -e 's/\.txt//'` && \
	echo '[HELP]' $$CMD && \
	./create-help.sh $$CMD

install:: all
	install -d -m 755 "$(DESTDIR)$(bindir)"
	install tg "$(DESTDIR)$(bindir)"
	install -d -m 755 "$(DESTDIR)$(cmddir)"
	install $(commands_out) "$(DESTDIR)$(cmddir)"
	install -d -m 755 "$(DESTDIR)$(hooksdir)"
	install $(hooks_out) "$(DESTDIR)$(hooksdir)"
	install -d -m 755 "$(DESTDIR)$(sharedir)"
	install -m 644 $(help_out) "$(DESTDIR)$(sharedir)"

clean::
	rm -f tg $(commands_out) $(hooks_out) $(help_out)

=== debian/changelog ===
topgit (0.8-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #777667) (Closes: #979629)
  * Move GIT repositories to salsa.
  * Switch to source format 3.0 (quilt).
  * Switch copyright file to format 1.0.
  * Switch to debhelper-compat (= 13) and use dh.  (Closes: #965849)
  * Use dh_bash-completion.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1.

  [ Uwe Kleine-König ]
  * remove madduck from Uploaders (Closes: #719104)
  * tg2quilt.mk: don't call git-status with git-commit options
    (Closes: #581582)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 13 Jan 2021 14:15:55 +0100

topgit (0.8-1.3) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:27:57 +0100

topgit (0.8-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bash completion.  (Closes: #702205)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Dec 2014 04:09:17 +0100

topgit (0.8-1.1) unstable; urgency=low

  [ Carsten Hey ]
  * Non-maintainer upload with permission from the Debian TopGit maintainers.
  * Don't call pre-commit hook if tg is not installed. (closes: #576221,
    LP: #564616)

  [ martin f. krafft ]
  * Deal with single quotes in from/to headers (closes: #552629)
  * Quote $LESS in case it includes spaces
  * Simplify removal of files in tg-rmdir
  * Also remove the dpkgv3 patch stamp file
  * Check for applied patches/uncommitted changes before tg-rmdir
  * tg-cleanexport is PHONY
  * Do not fail if no quilt patches to pop

  [ Michal Sojka ]
  * Make 'tg patch' work in subdirectories

  [ Thomas Schwinge ]
  * tg-push: Filter out plain SHA1s from being pushed.
  * tg-mail: Properly quote argument to --in-reply-to.
  * tg-delete: Handle the case where the branch has been removed already, but
    the base is still left.

  [ Uwe Kleine-König ]
  * change section to vcs
  * tg mail: document config setting to prevent unintended mass mail sending
  * tg patch: treat all files as ascii (closes: #521173)

 -- Carsten Hey <carsten@debian.org>  Mon, 26 Apr 2010 10:11:16 +0200

topgit (0.8-1) unstable; urgency=low

  [ Uwe Kleine-König ]
  * Update Debian policy version (no changes needed).
  * New upstream release (closes: #516188)

  [ martin f. krafft ]
  * Provide default values for variables used in tg2quilt.mk; thanks Frédéric
    Brière (closes: #526392).

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Mon, 16 Mar 2009 08:52:08 +0100

topgit (0.7-1) unstable; urgency=low

  [ martin f. krafft ]
  * Provide new tg2quilt target tg-cleanexport, which recreates debian/patches
    in one step.
  * Actually install the bash completion script; thanks to Uwe Kleine-König
    for noticing and providing a patch (closes: #499072).
  * Add a note to tg2quilt.mk's header explaining the need to soft-include
    tg2quilt.mk, to avoid the topgit build-dependency.
  * Suggest the git-email package (closes: #508079).
  * Suggest the make and quilt packages.
  * Fix GPL version in copyright file (closes: #514157).
  * Deprecate tg2quilt.mk's $PATCHES_DIR variable and put a warning in place
    to point people to $QUILT_PATCH_DIR instead.
  * change maintainer to pkg-topgit@teams.debian.net, add Uwe Kleine-König to
    uploaders.

  [ Uwe Kleine-König ]
  * new upstream release topgit-0.7
    - fixes Resumed create ignores branches contained in resolution
      (Closes: #513018)

 -- Uwe Kleine-König <u.kleine-koenig@pengutronix.de>  Thu, 05 Mar 2009 12:09:31 +0100

topgit (0.5-1) unstable; urgency=low

  * New upstream release (closes: #500273, #505266).
  * Upstream added bash completion (closes: #499072).
  * Provide the tg2quilt Makefile snippet for inclusion from debian/rules to
    facilitate generation of the quilt series from TopGit branches. See
    /usr/share/doc/topgit/HOWTO-tg2quilt.gz for details; thanks to Stefano
    Zacchiroli for the idea that led to this (closes: #501991, #506072).
  * Update the README.source workflow to refer to HOWTO-tg2quilt.
  * Add a NEWS file to make sure people get notified of this change.

 -- martin f. krafft <madduck@debian.org>  Fri, 26 Sep 2008 19:55:58 +0200

topgit (0.3-1) unstable; urgency=low

  * New upstream release (closes: #498559).
  * Retire fixes/destdir branch as upstream does it better; amend debian/rules
    to set $prefix instead of $PREFIX.
  * Updated README.source to reflect TopGit remote handling and slight changes
    to the process.

 -- martin f. krafft <madduck@debian.org>  Wed, 10 Sep 2008 09:31:03 +0100

topgit (0.2-1) unstable; urgency=low

  * Initial release (closes: #494710).

 -- martin f. krafft <madduck@debian.org>  Mon, 11 Aug 2008 17:32:48 -0300

=== debian/control ===
Source: topgit
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 bash-completion,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://repo.or.cz/w/topgit.git
Vcs-Git: https://salsa.debian.org/debian/topgit.git
Vcs-Browser: https://salsa.debian.org/debian/topgit

Package: topgit
Architecture: all
Depends:
 git (>= 1:1.7) | git-core,
 ${misc:Depends}
Suggests: git-email, make, quilt
Description: a Git patch queue manager
 TopGit manages a patch queue using Git topic branches, one patch per
 branch. It allows for patch dependencies and can thus manage
 non-linear patch series.
 .
 TopGit is a minimal layer on top of Git, which does not limit use of
 Git's functionality (such as the index). It rigorously keeps history
 until a patch is accepted upstream. It is also fully usable across
 distributed repositories.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export prefix=/usr

%:
	dh $@ --with bash_completion
